%define aurox_ver 9.3
%define rel 1

%define version 2.0.1.3
# source archive release:
%define srcrel 1

%define desktop_vendor aurox
# menu level: Base or Extra
%define menu_level Base

Summary: A simple 2d CAD program
Name: qcad2
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/Engineering
URL: http://www.ribbonsoft.com/qcad.html
Source: qcad-%{version}-%{srcrel}.src.tar.gz
Source1: partlibrary-2.0.1.2-1.zip
Source2: qcad.xpm
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: unzip
BuildRequires: qt-devel >= 3.1

%description
QCad is a simple open-source 2d CAD System. It features most
common construction and modification tools and supports
the use of layers and part libraries. QCad comes with it's
own set of fonts, especially designed for CAD. QCad supports
about 20 different languages for it's GUI and comes with fonts
in several international charsets.

%prep
%setup -q -n qcad-%{version}-%{srcrel}.src

%build
QTDIR= && . /etc/profile.d/qt.sh
export QMAKESPEC=$QTDIR/mkspecs/linux-g++
pushd scripts
  sh ./build_qcad.sh
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/doc/en/
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/examples
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/fonts
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/patterns
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/scripts
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/qm

mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/libraries

mkdir -p $RPM_BUILD_ROOT/usr/share/icons
#mkdir -p $RPM_BUILD_ROOT/etc/X11/applink/Applications

pushd qcad
cp qcad $RPM_BUILD_ROOT/usr/share/%{name}/%{name}
cp -r doc/* $RPM_BUILD_ROOT/usr/share/%{name}/doc/en/
cp examples/* $RPM_BUILD_ROOT/usr/share/%{name}/examples/
cp fonts/* $RPM_BUILD_ROOT/usr/share/%{name}/fonts/
cp patterns/*.dxf $RPM_BUILD_ROOT/usr/share/%{name}/patterns/
cp qm/*.qm $RPM_BUILD_ROOT/usr/share/%{name}/qm/
cp -r scripts/python $RPM_BUILD_ROOT/usr/share/%{name}/scripts/
#cp qcad.xpm $RPM_BUILD_ROOT/usr/share/icons/
#cp qcad.desktop $RPM_BUILD_ROOT/etc/X11/applink/Applications/
popd

unzip %{SOURCE1}
cp -r partlibrary-2.0.1.2-1/* $RPM_BUILD_ROOT/usr/share/%{name}/libraries
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm

cat << EOF > $RPM_BUILD_ROOT/usr/bin/%{name}
#! /bin/sh
cd /usr/share/%{name} && ./%{name}
EOF
chmod 0755 $RPM_BUILD_ROOT/usr/bin/%{name}

cat << EOF > %{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=QCad 2.x
Comment=2D CAD program
Comment[pl]=QCad - dwuwymiarowy CAD
Icon=%{name}.xpm
Exec=%{name}
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Aurox-%{menu_level}          \
  --add-category Application                    \
  --add-category Education                      \
  %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/%{name}.*
%{_datadir}/applications/*.desktop

%changelog
* Thu Jan 29 2004 Aurox Team <aurox@aurox.org> 0:2.0.1.3-9.3.aur.1
- build with parts library included
- use tmppath
- QCad 2.x imported as new package

